/*  Botik::Key Pro - Botik Key Client for Windows 9x/ME/NT/2000/XP/2003
 *  Copyright (C) 2004 Alexander V. Melnikoff
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public Licensse as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include "stdafx.h"

unsigned char koi8r2win[256] = {
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0xa0,0x00,0xb0,0x00,0xb7,0x00,
	0x00,0x00,0x00,0xb8,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0xa8,0x00,0x00,0x00,0x00,
	0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xa9,
	0xfe,0xe0,0xe1,0xf6,0xe4,0xe5,0xf4,0xe3,
	0xf5,0xe8,0xe9,0xea,0xeb,0xec,0xed,0xee,
	0xef,0xff,0xf0,0xf1,0xf2,0xf3,0xe6,0xe2,
	0xfc,0xfb,0xe7,0xf8,0xfd,0xf9,0xf7,0xfa,
	0xde,0xc0,0xc1,0xd6,0xc4,0xc5,0xd4,0xc3,
	0xd5,0xc8,0xc9,0xca,0xcb,0xcc,0xcd,0xce,
	0xcf,0xdf,0xd0,0xd1,0xd2,0xd3,0xc6,0xc2,
	0xdc,0xdb,0xc7,0xd8,0xdd,0xd9,0xd7,0xda
};

void koi8r_to_win(unsigned char* szBuf_)
{
	size_t len;

	len = strlen((const char*)szBuf_);

	for(size_t i = 0; i < len; i++)
		if(szBuf_[i] > 127)
			szBuf_[i] = koi8r2win[szBuf_[i]-128];
};
